## python-requests-cache 0.5.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/requests-cache.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/requests-cache.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/requests-cache"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/requests-cache"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-requests-cache 0.4.9

=== debian/changelog ===
python-requests-cache (0.4.9-1) unstable; urgency=low

  * Initial release (Closes: #782410)

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2015 18:59:52 +0100

=== debian/control ===
Source: python-requests-cache
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-sphinx, python-requests, python3-requests, python-pymongo, python3-pymongo, python-redis, python3-redis
Standards-Version: 3.9.6
Homepage: https://github.com/reclosedev/requests-cache
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-requests-cache/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-requests-cache/trunk/

Package: python-requests-cache
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-requests (>= 1.1.0)
Suggests: python-requests-cache-doc, python-pymongo, python-redis
Description: persistent cache for requests library
 Requests-cache is a transparent persistent cache for requests library.

Package: python3-requests-cache
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-requests (>= 1.1.0)
Suggests: python-requests-cache-doc, python3-pymongo, python3-redis
Description: persistent cache for requests library (Python 3)
 Requests-cache is a transparent persistent cache for requests library.
 .
 This package contains the Python 3 version of requests-cache.

Package: python-requests-cache-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: persistent cache for requests library (doc)
 Requests-cache is a transparent persistent cache for requests library.
 .
 This package contains the documentation for requests-cache.

## python-requests-cache 0.4.10

=== debian/changelog ===
python-requests-cache (0.4.10-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Jan 2016 00:39:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-sphinx, python-requests, python3-requests, python-pymongo, python3-pymongo, python-redis, python3-redis
 Standards-Version: 3.9.6
 Homepage: https://github.com/reclosedev/requests-cache
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-requests-cache/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-requests-cache/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-requests-cache.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-requests-cache.git
 
 Package: python-requests-cache
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

LIB2 := $(shell python  -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

override_dh_auto_install:
	python setup.py install --root=debian/python-requests-cache --install-layout=deb
	python3 setup.py install --root=debian/python3-requests-cache --install-layout=deb

#override_dh_auto_test:
#ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
#	# we can't use unittest discover -s tests as tests for redis/mongo are
#	# trying to use the system-installed redis/mongo instance, which is unsafe
#	sleep 10
#	PYTHONPATH=$$LIB2:tests python  -m unittest -v test_cache test_custom_dict test_dbdict test_monkey_patch test_thread_safety	
#	PYTHONPATH=$$LIB3:tests python3 -m unittest -v test_cache test_custom_dict test_dbdict test_monkey_patch test_thread_safety	
#endif

override_dh_installexamples:
	dh_installexamples -ppython-requests-cache-doc example.py history_issue.py howdoi_issue.py sandbox.py

override_dh_installdocs:
	dh_installdocs -ppython-requests-cache-doc docs/_build/html
	dh_installdocs -A README.rst

override_dh_installchangelogs:
	dh_installchangelogs -A HISTORY.rst

## python-requests-cache 0.4.12

=== debian/changelog ===
python-requests-cache (0.4.12-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2016 22:30:19 +0100

## python-requests-cache 0.4.13

=== debian/changelog ===
python-requests-cache (0.4.13-3ubuntu2) focal; urgency=medium

  * Revert previous change
    - This package can be synced the next time it is updated in Debian.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Apr 2020 20:13:28 -0400

python-requests-cache (0.4.13-3ubuntu1) focal; urgency=medium

  * Re-add Python2 support, needed for mythtv.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 12:12:49 +0100

python-requests-cache (0.4.13-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:44:09 +0000

python-requests-cache (0.4.13-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * drop Python 2 support + use pydebuild + dont run tests
  * debian/copyeight
    - extend packaging copyright years
  * debian/control 
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Aug 2019 13:25:45 -0400

python-requests-cache (0.4.13-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * debian/control
    - add setuptools, distutils to b-d; Closes: #896782
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Apr 2018 23:34:04 -0400

python-requests-cache (0.4.13-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - remove examples no longer shipped in upstream tarball
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 14:08:53 -0500

=== debian/control ===
Source: python-requests-cache
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-sphinx, python3-requests, python3-pymongo, python3-redis, python3-setuptools, python3-distutils
Standards-Version: 4.4.0
Homepage: https://github.com/reclosedev/requests-cache
Vcs-Git: https://salsa.debian.org/python-team/modules/python-requests-cache.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-requests-cache

Package: python3-requests-cache
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-requests (>= 1.1.0)
Suggests: python-requests-cache-doc, python3-pymongo, python3-redis
Description: persistent cache for requests library (Python 3)
 Requests-cache is a transparent persistent cache for requests library.

Package: python-requests-cache-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: persistent cache for requests library (doc)
 Requests-cache is a transparent persistent cache for requests library.
 .
 This package contains the documentation for requests-cache.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-cache/requests-cache-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-cache 0.5.2

=== debian/changelog ===
python-requests-cache (0.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jul 2020 23:04:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-requests-cache
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-sphinx, python3-requests, python3-pymongo, python3-redis, python3-setuptools, python3-distutils
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), python3, dh-python, python3-sphinx, python3-requests, python3-pymongo, python3-redis, python3-setuptools, python3-distutils
+Standards-Version: 4.4.1
 Homepage: https://github.com/reclosedev/requests-cache
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-requests-cache.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-requests-cache

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
-LIB2 := $(shell python  -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
+export PYBUILD_DISABLE=test
+
 LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
 
 %:
-	dh $@ --with python2,python3,sphinxdoc
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	$(MAKE) -C docs html
 
 override_dh_auto_install:
-	python setup.py install --root=debian/python-requests-cache --install-layout=deb
 	python3 setup.py install --root=debian/python3-requests-cache --install-layout=deb
 
 #override_dh_auto_test:
@@ -24,7 +24,7 @@
 #endif
 
 override_dh_installexamples:
-	dh_installexamples -ppython-requests-cache-doc example.py history_issue.py howdoi_issue.py sandbox.py
+	dh_installexamples -ppython-requests-cache-doc example.py sandbox.py
 
 override_dh_installdocs:
 	dh_installdocs -ppython-requests-cache-doc docs/_build/html

## python-requests-cache 0.9.1

=== debian/changelog ===
python-requests-cache (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 19 Jan 2022 01:36:48 -0500

python-requests-cache (0.8.1-3) unstable; urgency=medium

  * debian/control
    - add url-normalize and cattr to Depends; Closes: #1002585
    - add superficial autopkgtest

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Dec 2021 00:52:11 -0500

python-requests-cache (0.8.1-2) unstable; urgency=medium

  * Use poetry PEP517 build backed

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Dec 2021 21:52:06 -0500

python-requests-cache (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notice
  * debian/patches/tests_dont_import_toplevel_dir.patch
    - drop patch, no longer applicable
  * debian/patches/setup.py.patch
    - provide a setup.py, converted from pyproject.toml
  * debian/rules
    - install the renamed README.md and HISTORY.md
    - install examples from their new location
    - temporarily disable sphinx doc building: the new version introduced too
      many new dependencies

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2021 00:32:44 -0500

python-requests-cache (0.5.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.6.0.1 (no changes needed)
    - bump debhelper-compat to 13 (no changes needed)
  * debian/copyright
    - extrend packaging copyright years

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-requests-cache-doc: Add Multi-Arch: foreign.

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Dec 2021 01:45:51 -0500

=== debian/control ===
Source: python-requests-cache
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3,
               python3-distutils,
               python3-poetry,
               python3-pymongo,
               python3-redis,
               python3-requests,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/reclosedev/requests-cache
Vcs-Git: https://salsa.debian.org/python-team/packages/python-requests-cache.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-cache

Package: python3-requests-cache
Architecture: all
Depends: python3-cattr,
         python3-requests (>= 1.1.0),
         python3-url-normalize,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-requests-cache-doc,
          python3-pymongo,
          python3-redis,
Description: persistent cache for requests library (Python 3)
 Requests-cache is a transparent persistent cache for requests library.

Package: python-requests-cache-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: persistent cache for requests library (doc)
 Requests-cache is a transparent persistent cache for requests library.
 .
 This package contains the documentation for requests-cache.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=requests_cache
 export PYBUILD_DISABLE=test
 
 LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)")
@@ -9,10 +10,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C docs html
-
-override_dh_auto_install:
-	python3 setup.py install --root=debian/python3-requests-cache --install-layout=deb
+	# $(MAKE) -C docs html
 
 #override_dh_auto_test:
 #ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
@@ -24,11 +22,11 @@
 #endif
 
 override_dh_installexamples:
-	dh_installexamples -ppython-requests-cache-doc example.py sandbox.py
+	dh_installexamples -ppython-requests-cache-doc examples/*
 
 override_dh_installdocs:
-	dh_installdocs -ppython-requests-cache-doc docs/_build/html
-	dh_installdocs -A README.rst
+	#dh_installdocs -ppython-requests-cache-doc docs/_build/html
+	dh_installdocs -A README.md
 
 override_dh_installchangelogs:
-	dh_installchangelogs -A HISTORY.rst
+	dh_installchangelogs -A HISTORY.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-requests-cache-$1.tar.gz%" \
https://github.com/reclosedev/requests-cache/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-requests-cache 0.9.8

=== debian/changelog ===
python-requests-cache (0.9.8-1ubuntu1) noble; urgency=medium

  * Pull upstream patches for urllib3 2.0.x compatibility.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2024 20:35:46 +0100

python-requests-cache (0.9.8-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 02:40:39 -0500

python-requests-cache (0.9.7-1) unstable; urgency=medium

  * New upstream release; Closes: #1019124
  * debian/control
    - add b-d needed by tests: appdirs, attr, cattr, itsdangerous, pytest,
      requests-mock, responses, timeout-decorator, ujson, url-normalize
    - b-d on python3-all
    - b-d on poetry-core instead of the poetry cli package
    - bump Standards-Version to 4.6.2.0 (no changes needed)
    - run autopkgtest via autopkgtest-pkg-pybuild
  * debian/copyright
    - update upstream copyright notice
    - extend packaging copyright years
  * point to new upstream repo: https://github.com/requests-cache/requests-cache
  * debian/rules
    - run tests at built-time, skipping integration tests, like ArchLinux does

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Jan 2023 03:24:07 -0500

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,27 @@
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
-               python3,
+               python3-all,
+               python3-appdirs <!nocheck>,
+               python3-attr <!nocheck>,
+               python3-cattr <!nocheck>,
                python3-distutils,
-               python3-poetry,
+               python3-itsdangerous <!nocheck>,
+               python3-poetry-core,
                python3-pymongo,
+               python3-pytest <!nocheck>,
                python3-redis,
                python3-requests,
+               python3-requests-mock <!nocheck>,
+               python3-responses <!nocheck>,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.0.1
-Testsuite: autopkgtest-pkg-python
-Homepage: https://github.com/reclosedev/requests-cache
+               python3-timeout-decorator <!nocheck>,
+               python3-ujson <!nocheck>,
+               python3-url-normalize <!nocheck>,
+Standards-Version: 4.6.2.0
+Testsuite: autopkgtest-pkg-pybuild
+Homepage: https://github.com/requests-cache/requests-cache
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-requests-cache.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-cache

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests_cache
# https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=python-requests-cache#n43
export PYBUILD_TEST_ARGS=--ignore=tests/integration

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# $(MAKE) -C docs html

override_dh_installexamples:
	dh_installexamples -ppython-requests-cache-doc examples/*

override_dh_installdocs:
	#dh_installdocs -ppython-requests-cache-doc docs/_build/html
	dh_installdocs -A README.md

override_dh_installchangelogs:
	dh_installchangelogs -A HISTORY.md

## python-requests-cache 1.2.1

=== debian/changelog ===
python-requests-cache (1.2.1-1) unstable; urgency=medium

  * New upstream release, heavily based on work by Antonio Terceiro;
    Closes: #1073179, #1073427
  * stop building the -doc package
  * debian/rules
    - add platformdirs and rich to b-d, needed by tests
  * debian/control
    - drop distutils from b-d, no longer needed; Closes: #1065936
    - add time-machine to b-d, needed by tests
    - drop appdirs from b-d, replaced by platformdirs; Closes: #1068001
    - add version to requests b-d to >= 2.32.3+dfsg-1~

 -- Sandro Tosi <morph@debian.org>  Sat, 31 Aug 2024 01:22:39 -0400

python-requests-cache (0.9.8-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 03:55:25 -0500

=== debian/control ===
Source: python-requests-cache
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr <!nocheck>,
               python3-cattr <!nocheck>,
               python3-itsdangerous <!nocheck>,
               python3-platformdirs <!nocheck>,
               python3-poetry-core,
               python3-pymongo,
               python3-pytest <!nocheck>,
               python3-redis,
               python3-requests (>= 2.32.3+dfsg-1~),
               python3-requests-mock <!nocheck>,
               python3-responses <!nocheck>,
               python3-rich <!nocheck>,
               python3-setuptools,
               python3-time-machine <!nocheck>,
               python3-timeout-decorator <!nocheck>,
               python3-ujson <!nocheck>,
               python3-url-normalize <!nocheck>,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/requests-cache/requests-cache
Vcs-Git: https://salsa.debian.org/morph/python-requests-cache.git
Vcs-Browser: https://salsa.debian.org/morph/python-requests-cache

Package: python3-requests-cache
Architecture: all
Depends: python3-cattr,
         python3-requests (>= 1.1.0),
         python3-url-normalize,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-pymongo,
          python3-redis,
Description: persistent cache for requests library (Python 3)
 Requests-cache is a transparent persistent cache for requests library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests_cache
# https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=python-requests-cache#n43
export PYBUILD_TEST_ARGS=--ignore=tests/integration

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-requests-cache-$1.tar.gz%" \
https://github.com/requests-cache/requests-cache/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
